Full name: projects.locations.instances.users.conversations.create
conversations.create is used to create a new conversation.
HTTP request
POST https://{endpoint}/v1alpha/{parent}/conversations
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The user resource where this conversation will be created. Format: projects/{project}/locations/{location}/instances/{instance}/users/{user} |
Request body
The request body contains an instance of Conversation.
Response body
If successful, the response body contains a newly created instance of Conversation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.conversations.create
For more information, see the IAM documentation.